﻿Imports System.IO
Imports System.Net
Imports System.Net.Configuration
Imports System.Net.Mail

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub SendEmail(ByVal sender As Object, ByVal e As EventArgs)
        'Read SMTP section from Web.Config.
        Dim smtpSection As SmtpSection = CType(ConfigurationManager.GetSection("system.net/mailSettings/smtp"), SmtpSection)

        Using mm As MailMessage = New MailMessage(txtEmail.Text, txtTo.Text)
            mm.Subject = txtSubject.Text
            mm.Body = txtBody.Text
            If fuAttachment.HasFile Then
                Dim FileName As String = Path.GetFileName(fuAttachment.PostedFile.FileName)
                mm.Attachments.Add(New Attachment(fuAttachment.PostedFile.InputStream, FileName))
            End If
            mm.IsBodyHtml = False
            Using smtp As SmtpClient = New SmtpClient()
                smtp.Host = smtpSection.Network.Host
                smtp.EnableSsl = smtpSection.Network.EnableSsl
                Dim networkCred As NetworkCredential = New NetworkCredential(txtEmail.Text, txtPassword.Text)
                smtp.UseDefaultCredentials = smtpSection.Network.DefaultCredentials
                smtp.Credentials = networkCred
                smtp.Port = smtpSection.Network.Port
                smtp.Send(mm)
                ClientScript.RegisterStartupScript(Me.GetType(), "alert", "alert('Email sent.');", True)
            End Using
        End Using
    End Sub
End Class
